Package org.eclipse.gef.ui.actions

# Class Clipboard

java.lang.Object
org.eclipse.gef.ui.actions.Clipboard

public class Clipboard extends Object
A GEF clipboard for cut/copy/paste actions between GEF editors. It exists mainly for convenience and allows clients to add graphical objects to the system clipboard. It will not work between two instances of the workbench (but will work between multiple windows belonging to a single instance of the workbench). Setting the contents of the clipboard will erase the previous contents of the clipboard.

## Constructor Summary

Constructors
Constructor
Description
`Clipboard()`
Deprecated.
As of 3.1, the GEF Clipboard synchronizes with the system clipboard.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getContents()`
Returns the current contents of the clipboard.
`static Clipboard`
`getDefault()`
Returns the default clipboard.
`void`
`setContents(Object contents)`
Sets the contents of the clipboard.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Clipboard

public Clipboard()
Deprecated.
As of 3.1, the GEF Clipboard synchronizes with the system clipboard. Multiple instances of this class should not be created. Use `getDefault()`. This method will be removed in future releases.
Constructs a new Clipboard object.

## Method Details

### getDefault

public static Clipboard getDefault()
Returns the default clipboard.

Returns:
  the default clipboard

### getContents

public Object getContents()
Returns the current contents of the clipboard.

Returns:
  contents of the clipboard

### setContents

public void setContents(Object contents)
Sets the contents of the clipboard. This will erase the previous contents of this as well as the system clipboard. The provided contents will not be garbage-collected until some other contents are set using this method.

Parameters:
  `contents` - the new contents